## deepin-qt5dxcb-plugin 5.7.12

=== xcb/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later

project(dxcb)

find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core Gui Widgets)
if(${QT_VERSION_MAJOR} STREQUAL "5")
    find_package(Qt5 REQUIRED COMPONENTS XcbQpa X11Extras EdidSupport XkbCommonSupport)
else()
    find_package(Qt6 REQUIRED COMPONENTS OpenGL XcbQpaPrivate)
endif()

# NOTE(sbw): 禁止语法树上的 vrp 优化，-O2/-O3 默认开启，会导致测试虚析构函数 HOOK 失败
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-tree-vrp" CACHE STRING "disable vrp optimization" FORCE)

add_definitions(-DDXCB_VERSION=\"${DTK_VERSION}\")
if(CMAKE_BUILD_TYPE STREQUAL "Release")
    add_definitions(-DQT_NO_DEBUG_OUTPUT=TRUE)
endif()

include(${CMAKE_CURRENT_LIST_DIR}/xcb.cmake)
include(${CMAKE_SOURCE_DIR}/src/src.cmake)

add_library(${PROJECT_NAME} SHARED ${GLOBAL_HEADERS} ${GLOBAL_SOURCES} ${xcb_SRC} ${DBUS_INTERFACE_XMLS})

include(${CMAKE_CURRENT_LIST_DIR}/linux.cmake)

set(EnableCov CACHE BOOL FALSE)
if (EnableCov)
    find_package(DtkBuildHelper REQUIRED)
    dtk_setup_code_coverage(${PROJECT_NAME})
endif()

target_link_libraries(${PROJECT_NAME}
PRIVATE
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::CorePrivate
    Qt${QT_VERSION_MAJOR}::DBus
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::GuiPrivate
    Qt${QT_VERSION_MAJOR}::Widgets
)
if(${QT_VERSION_MAJOR} STREQUAL "5")
    target_link_libraries(${PROJECT_NAME}
    PRIVATE
        Qt5::XcbQpa
        Qt5::EdidSupport
        Qt5::EdidSupportPrivate
        Qt5::XkbCommonSupport
        Qt5::XkbCommonSupportPrivate
        Qt5::X11Extras
    )
else()
    target_link_libraries(${PROJECT_NAME} PRIVATE Qt6::OpenGL Qt6::OpenGLPrivate Qt6::XcbQpaPrivate)
endif()

if(NOT INSTALL_PATH)
    set(INSTALL_PATH ${CMAKE_INSTALL_LIBDIR}/qt${QT_VERSION_MAJOR}/plugins/platforms)
endif()
install(TARGETS ${PROJECT_NAME} DESTINATION ${INSTALL_PATH})

=== wayland/dwayland/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later

project(dwayland)

find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core Gui WaylandClient)
if(${QT_VERSION_MAJOR} STREQUAL "5")
    find_package(Qt5 REQUIRED COMPONENTS XkbCommonSupport)
endif()

find_package(PkgConfig REQUIRED)
pkg_check_modules(WAYLAND REQUIRED wayland-client wayland-cursor IMPORTED_TARGET)
pkg_check_modules(X11 REQUIRED xkbcommon IMPORTED_TARGET)

add_definitions(-DQT5DWAYLANDPLUGIN_LIBRARY -DQT_DEPRECATED_WARNINGS)

include(${CMAKE_CURRENT_LIST_DIR}/dwayland.cmake)

add_library(${PROJECT_NAME} MODULE main.cpp ${wayland_SRC})

target_compile_definitions(${PROJECT_NAME} 
PRIVATE
    QT5DWAYLANDPLUGIN_LIBRARY
    QT_DEPRECATED_WARNINGS
)

target_include_directories(${PROJECT_NAME}
PRIVATE
    ${CMAKE_SOURCE_DIR}/src
)

if("${QT_VERSION_MAJOR}" STREQUAL "6")
    list(GET Qt6WaylandClient_PRIVATE_INCLUDE_DIRS 0 dir)
    if(EXISTS ${dir})
        target_include_directories(${PROJECT_NAME} PRIVATE ${Qt6WaylandClient_PRIVATE_INCLUDE_DIRS})
    else()
        target_include_directories(${PROJECT_NAME} PRIVATE ${CMAKE_SOURCE_DIR}/wayland/qtwayland-dev/${Qt6_VERSION})
    endif()
endif()

target_link_libraries(${PROJECT_NAME}
PRIVATE
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::GuiPrivate
    Qt${QT_VERSION_MAJOR}::WaylandClient
    PkgConfig::WAYLAND
    PkgConfig::X11
)
if(${QT_VERSION_MAJOR} STREQUAL "5")
    target_link_libraries(${PROJECT_NAME} PRIVATE Qt5::XkbCommonSupportPrivate Qt5::WaylandClientPrivate)
endif()

if(NOT INSTALL_PATH)
    set(INSTALL_PATH ${CMAKE_INSTALL_LIBDIR}/qt${QT_VERSION_MAJOR}/plugins/platforms)
endif()
install(TARGETS ${PROJECT_NAME} DESTINATION ${INSTALL_PATH})

=== wayland/wayland-shell/config.tests/deepin-kwin-test/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later

cmake_minimum_required(VERSION 3.13)

project(deepin-kwin-test)

set(REQUIRED_QT_VERSION 5.15.0)
find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS WaylandClient)

include(../../wayland-shell.cmake)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(AUTOMOC_COMPILER_PREDEFINES ON)

add_executable(${PROJECT_NAME} main.cpp)

if("${QT_VERSION_MAJOR}" STREQUAL "5")
    list(APPEND COMMON_LIBS Qt5::WaylandClientPrivate)
endif()
target_link_libraries(${PROJECT_NAME} PUBLIC ${COMMON_LIBS})

if(${QT_VERSION_MAJOR} STREQUAL "6")
    list(GET Qt6WaylandClient_PRIVATE_INCLUDE_DIRS 0 dir)
    if(EXISTS ${dir})
        target_include_directories(${PROJECT_NAME} PRIVATE ${Qt6WaylandClient_PRIVATE_INCLUDE_DIRS})
    else()
        target_include_directories(${PROJECT_NAME} PRIVATE ${CMAKE_CURRENT_LIST_DIR}/../../../qtwayland-dev/${Qt6_VERSION})
    endif()
endif()
target_include_directories(${PROJECT_NAME} PUBLIC
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}
)

=== wayland/wayland-shell/config.tests/wayland_test/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later

cmake_minimum_required(VERSION 3.13)

project(wayland_test)

set(REQUIRED_QT_VERSION 5.15.0)
find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core Gui WaylandClient)
if(${QT_VERSION_MAJOR} STREQUAL "5")
    find_package(Qt5 REQUIRED COMPONENTS XkbCommonSupport)
endif()

include(../../wayland-shell.cmake)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(AUTOMOC_COMPILER_PREDEFINES ON)

add_executable(${PROJECT_NAME} main.cpp)

list(APPEND COMMON_LIBS
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::CorePrivate
    Qt${QT_VERSION_MAJOR}::GuiPrivate
)
if(${QT_VERSION_MAJOR} STREQUAL "5")
    list(APPEND COMMON_LIBS Qt5::WaylandClientPrivate Qt5::XkbCommonSupportPrivate)
endif()
target_link_libraries(${PROJECT_NAME} PUBLIC ${COMMON_LIBS})

target_include_directories(${PROJECT_NAME} PUBLIC
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}
)

## deepin-qt5dxcb-plugin 1.1.8.4+ds

=== debian/changelog ===
deepin-qt5dxcb-plugin (1.1.8.4+ds-1build1) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-5.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 16 Apr 2018 12:19:54 -0500

deepin-qt5dxcb-plugin (1.1.8.4+ds-1) unstable; urgency=medium

  * New upstream release.
  * Restored compatibility with Qt 5.10. Closes: #893535.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 24 Mar 2018 12:05:55 +0800

deepin-qt5dxcb-plugin (1.1.8.3+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 20 Mar 2018 20:01:34 +0800

deepin-qt5dxcb-plugin (1.1.8.1+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 14 Mar 2018 08:59:38 +0800

deepin-qt5dxcb-plugin (1.1.8+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 09 Feb 2018 23:46:44 +0800

deepin-qt5dxcb-plugin (1.1.6+ds+git20180131-1) unstable; urgency=medium

  * New upstream snapsnot.
  * Reuild to get rid of previous binary-included upload.
  * Mark package qt5dxcb-plugin as M-A: same.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 01 Feb 2018 10:42:25 +0800

deepin-qt5dxcb-plugin (1.1.6+ds+git20180111-1) unstable; urgency=medium

  * Initial release. (Closes: #884274)

 -- Boyuan Yang <073plan@gmail.com>  Thu, 11 Jan 2018 20:41:02 +0800

=== debian/control ===
Source: deepin-qt5dxcb-plugin
Section: libs
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <073plan@gmail.com>,
Build-Depends:
 debhelper (>= 11~),
 libcairo2-dev,
 libdbus-1-dev,
 libdtkcore-dev (>= 2.0.5.2-2~),
 libegl1-mesa-dev,
 libfontconfig1-dev,
 libfreetype6-dev,
 libglib2.0-dev,
 libmtdev-dev,
 libqt5opengl5-dev,
 libqt5x11extras5-dev,
 libsm-dev,
 libudev-dev,
 libxcb-composite0-dev,
 libxcb-damage0-dev,
 libxcb-icccm4-dev,
 libxcb-image0-dev,
 libxcb-keysyms1-dev,
 libxcb-render-util0-dev,
 libxcb-xinerama0-dev,
 libxcb-xkb-dev,
 libxi-dev,
 libxkbcommon-x11-dev,
 libxrender-dev,
 pkg-config,
 qtbase5-dev,
 qtbase5-private-dev,
Standards-Version: 4.1.3
Homepage: https://github.com/linuxdeepin/qt5dxcb-plugin
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-qt5dxcb-plugin.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-qt5dxcb-plugin

Package: qt5dxcb-plugin
Architecture: any
Provides:
 libqt5dxcb-plugin,
Conflicts:
 libqt5dxcb-plugin,
Breaks:
 dde-qt5integration (<< 0.2.8.1),
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Qt platform theme integration plugin for DDE
 Deepin's qt5dxcb-plugin is the Qt platform integration plugin for Deepin
 Desktop Environment. It provides an abstract interface between Deepin
 applications and Qt tookit for further application theme customization.
 .
 This package is part of DDE (Deepin Desktop Environment).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT := 5


%:
	dh $@

# libQt5XcbQpa plugin is problematic
#override_dh_shlibdeps:
#	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds\+git\d*$//,pgpmode=none, \
filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%\
deepin-qt5dxcb-plugin-$1.tar.gz%" \
 https://github.com/linuxdeepin/qt5dxcb-plugin/tags \
 (?:.*?/)?(\d[\d.]*)\.tar\.gz debian uupdate

## deepin-qt5dxcb-plugin 1.1.9.1

=== debian/changelog ===
deepin-qt5dxcb-plugin (1.1.9.1-1ubuntu1) cosmic; urgency=medium

  * Add support for Qt 5.11.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 18 Jul 2018 03:44:21 -0500

deepin-qt5dxcb-plugin (1.1.9.1-1build1) cosmic; urgency=medium

  * No-change rebuild against qtbase-abi-5-11-0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 18 Jul 2018 03:18:00 -0500

deepin-qt5dxcb-plugin (1.1.9.1-1) unstable; urgency=medium

  * New upstream version 1.1.9.1
  * Bump Standards-Version to 4.1.5 (no changes needed).

 -- Yanhao Mo <yanhaocs@gmail.com>  Thu, 12 Jul 2018 15:38:56 +0800

deepin-qt5dxcb-plugin (1.1.8.8-1) unstable; urgency=medium

  * New upstream version 1.1.8.8
  * Use pkg-deepin-devel@lists.alioth.debian.org in maintainer field.
  * d/control: Add new uploader Yanhao Mo <yanhaocs@gmail.com>.
  * d/copyright: Drop Files-Excluded filed.

 -- Yanhao Mo <yanhaocs@gmail.com>  Sun, 10 Jun 2018 10:45:12 +0800

deepin-qt5dxcb-plugin (1.1.8.6+ds-1) unstable; urgency=medium

  * New upstream release.
    - Fix FTBFS with Qt 5.10.
  * d/control: Revert changes for maintainer address.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 12 May 2018 17:35:32 +0800

deepin-qt5dxcb-plugin (1.1.8.4+ds-2) unstable; urgency=medium

  * Use team+pkg-deepin@tracker.debian.org in maintainer field.
  * Bump Standards-Version to 4.1.4 (no changes needed).

 -- Boyuan Yang <073plan@gmail.com>  Sun, 22 Apr 2018 20:37:13 +0800

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: deepin-qt5dxcb-plugin
 Section: libs
 Priority: optional
-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Boyuan Yang <073plan@gmail.com>,
+ Yanhao Mo <yanhaocs@gmail.com>,
 Build-Depends:
  debhelper (>= 11~),
  libcairo2-dev,
@@ -32,7 +34,7 @@
  pkg-config,
  qtbase5-dev,
  qtbase5-private-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Homepage: https://github.com/linuxdeepin/qt5dxcb-plugin
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-qt5dxcb-plugin.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-qt5dxcb-plugin

## deepin-qt5dxcb-plugin 1.1.11

=== debian/changelog ===
deepin-qt5dxcb-plugin (1.1.11-2) unstable; urgency=medium

  * Rebuild with Qt 5.11.2.
  * Bump Standards-Version to 4.2.1 (no changes needed).

 -- Yanhao Mo <yanhaocs@gmail.com>  Fri, 19 Oct 2018 14:01:51 +0800

deepin-qt5dxcb-plugin (1.1.11-1) unstable; urgency=medium

  * New upstream version 1.1.11

 -- Yanhao Mo <yanhaocs@gmail.com>  Fri, 10 Aug 2018 18:30:13 +0800

deepin-qt5dxcb-plugin (1.1.10-1) unstable; urgency=medium

  * New upstream version 1.1.10

 -- Yanhao Mo <yanhaocs@gmail.com>  Mon, 06 Aug 2018 16:06:33 +0800

deepin-qt5dxcb-plugin (1.1.9.2-1) unstable; urgency=medium

  * New upstream version 1.1.9.2

 -- Yanhao Mo <yanhaocs@gmail.com>  Sat, 21 Jul 2018 10:57:15 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: deepin-qt5dxcb-plugin
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
+Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Boyuan Yang <073plan@gmail.com>,
  Yanhao Mo <yanhaocs@gmail.com>,
@@ -34,7 +33,7 @@
  pkg-config,
  qtbase5-dev,
  qtbase5-private-dev,
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Homepage: https://github.com/linuxdeepin/qt5dxcb-plugin
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-qt5dxcb-plugin.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-qt5dxcb-plugin

## deepin-qt5dxcb-plugin 1.1.13

=== debian/changelog ===
deepin-qt5dxcb-plugin (1.1.13-1) unstable; urgency=medium

  * New upstream release 1.1.13.
  * Drop patch about Qt 5.11.2 compatibility, fixed upstream.

 -- Boyuan Yang <byang@debian.org>  Wed, 14 Nov 2018 20:58:22 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
- Boyuan Yang <073plan@gmail.com>,
+ Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
 Build-Depends:
  debhelper (>= 11~),

## deepin-qt5dxcb-plugin 1.1.21

=== debian/changelog ===
deepin-qt5dxcb-plugin (1.1.21-1) unstable; urgency=high

  * New upstream release 1.1.12.
  * debian/patches: Add patch for Qt 5.11.3 support.
    (Closes: #917540)

 -- Boyuan Yang <byang@debian.org>  Sat, 29 Dec 2018 08:33:45 +0800

deepin-qt5dxcb-plugin (1.1.20-1) unstable; urgency=medium

  * New upstream release 1.1.20.
  * debian/control:
    + Build-depend on debhelper-compat (= 11) instead of using
      debian/compat file.
    + Bump Standard-Version to 4.3.0.

 -- Boyuan Yang <byang@debian.org>  Mon, 24 Dec 2018 11:22:40 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 11),
  libcairo2-dev,
  libdbus-1-dev,
  libdtkcore-dev (>= 2.0.5.2-2~),
@@ -33,7 +33,7 @@
  pkg-config,
  qtbase5-dev,
  qtbase5-private-dev,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/linuxdeepin/qt5dxcb-plugin
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-qt5dxcb-plugin.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-qt5dxcb-plugin

## deepin-qt5dxcb-plugin 1.1.22

=== debian/changelog ===
deepin-qt5dxcb-plugin (1.1.22-1ubuntu1.1) disco; urgency=medium

  * Rebuild against qtbase ≥ 5.12.2+dfsg-4 (LP: #1826629).
  * Build-depend on libxcb-xinput-dev to fix build failure.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 19 May 2019 18:14:38 +0300

deepin-qt5dxcb-plugin (1.1.22-1ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * Rebuild against qtbase-abi-5-12-2.
  * debian/patches: Add upstream_fix-build-with-Qt-5.12.patch

  [ Dmitry Shachnev ]
  * Update Qt 5.12 headers to their 5.12.2 version.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 27 Mar 2019 14:06:03 +0000

deepin-qt5dxcb-plugin (1.1.22-1) unstable; urgency=medium

  * New upstream release 1.1.22.
  * debian/control: Bump debhelper compat to v12.

 -- Boyuan Yang <byang@debian.org>  Mon, 07 Jan 2019 15:15:13 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  libcairo2-dev,
  libdbus-1-dev,
  libdtkcore-dev (>= 2.0.5.2-2~),
@@ -26,6 +26,7 @@
  libxcb-keysyms1-dev,
  libxcb-render-util0-dev,
  libxcb-xinerama0-dev,
+ libxcb-xinput-dev,
  libxcb-xkb-dev,
  libxi-dev,
  libxkbcommon-x11-dev,

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,10 @@
 %:
 	dh $@
 
+override_dh_auto_build:
+	cd platformplugin/libqt5xcbqpa-dev && cp -r 5.12.0 5.12.2
+	dh_auto_build
+
 # libQt5XcbQpa plugin is problematic
 #override_dh_shlibdeps:
 #	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

## deepin-qt5dxcb-plugin 1.1.24

=== debian/changelog ===
deepin-qt5dxcb-plugin (1.1.24-1ubuntu3) eoan; urgency=medium

  * Update the patch and debian/rules for Qt 5.12.4.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 08 Jul 2019 12:03:21 +0300

deepin-qt5dxcb-plugin (1.1.24-1ubuntu2) eoan; urgency=medium

  * Build with upstream debian/ directory removed.
  * Build-depend on libxcb-xinput-dev.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 19 May 2019 17:56:53 +0300

deepin-qt5dxcb-plugin (1.1.24-1ubuntu1) eoan; urgency=medium

  * Merge with Debian unstable, remaining change:
    - Update Qt 5.12 headers to their 5.12.2 version.
  * Drop upstream_fix-build-with-Qt-5.12.patch, included in the new release.
  * Rebuild against qtbase ≥ 5.12.2+dfsg-4 (LP: #1826629).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 19 May 2019 17:41:21 +0300

deepin-qt5dxcb-plugin (1.1.24-1) unstable; urgency=medium

  * New upstream version 1.1.24

 -- Yanhao Mo <yanhaocs@gmail.com>  Tue, 26 Feb 2019 14:17:25 +0800

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	dh $@
 
 override_dh_auto_build:
-	cd platformplugin/libqt5xcbqpa-dev && cp -r 5.12.0 5.12.2
+	cd platformplugin/libqt5xcbqpa-dev && cp -r 5.12.0 5.12.4
 	dh_auto_build
 
 # libQt5XcbQpa plugin is problematic

## deepin-qt5dxcb-plugin 5.0.1

=== debian/changelog ===
deepin-qt5dxcb-plugin (5.0.1-4) unstable; urgency=medium

  [ Arun Kumar Pariyar ]
  * debian/patches:
    + Add patch for Qt 5.15.2 support. (Closes: #975730)
  * debian/control:
    + Add Arun Kumar Pariyar to Uploaders list.

  [ Dmitry Shachnev ]
  * debian/control:
    + Add libxcb-util-dev to Build-Depends.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Sun, 29 Nov 2020 01:42:22 +0545

deepin-qt5dxcb-plugin (5.0.1-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport two upstream patches to fix build with Qt 5.15.1 (closes:
    #972160).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 24 Oct 2020 13:34:39 +0300

deepin-qt5dxcb-plugin (5.0.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: Add a patch for Qt 5.14.2 support (closes: #960953).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 12 Jun 2020 11:08:21 +0300

deepin-qt5dxcb-plugin (5.0.1-3) unstable; urgency=high

  * debian/control: Add missing build-dependencies.
    (Closes: #947252)

 -- Boyuan Yang <byang@debian.org>  Tue, 24 Dec 2019 12:52:11 -0500

deepin-qt5dxcb-plugin (5.0.1-2) unstable; urgency=high

  * debian/control:
    + Add missing build-dependency libxcb-xinput-dev.
      (Closes: #943309)
    + Bump Standards-Version to 4.4.1.
    + Use "Rules-Requires-Root: no".

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Oct 2019 11:58:18 -0400

deepin-qt5dxcb-plugin (5.0.1-1) unstable; urgency=medium

  * new upstream version 5.0.1.
  * debian/control: Bump Standards-Version to 4.4.0.
  * debian/patches: Add patch to make the plugin compatible with
    Qt 5.12.5.

 -- Boyuan Yang <byang@debian.org>  Fri, 27 Sep 2019 15:30:40 -0400

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders:
  Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
+ Arun Kumar Pariyar <openarungeek@gmail.com>,
 Build-Depends:
  debhelper-compat (= 12),
  libcairo2-dev,
@@ -19,12 +20,16 @@
  libqt5x11extras5-dev,
  libsm-dev,
  libudev-dev,
+ libx11-xcb-dev,
  libxcb-composite0-dev,
  libxcb-damage0-dev,
  libxcb-icccm4-dev,
  libxcb-image0-dev,
  libxcb-keysyms1-dev,
+ libxcb-randr0-dev,
  libxcb-render-util0-dev,
+ libxcb-sync-dev,
+ libxcb-util-dev,
  libxcb-xinerama0-dev,
  libxcb-xinput-dev,
  libxcb-xkb-dev,
@@ -34,7 +39,8 @@
  pkg-config,
  qtbase5-dev,
  qtbase5-private-dev,
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.4.1
 Homepage: https://github.com/linuxdeepin/qt5dxcb-plugin
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-qt5dxcb-plugin.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-qt5dxcb-plugin

## deepin-qt5dxcb-plugin 5.0.17

=== debian/changelog ===
deepin-qt5dxcb-plugin (5.0.17-1) unstable; urgency=medium

  * Upload to unstable.
  * debian/patches:
    + Drop libqt5xcbqpa-dev-Add-support-for-Qt-5.14.2.
  * debian/control:
    + Bump Standards-Version to 4.5.1.
  * debian/rules: Drop DEB_LDFLAGS_MAINT_APPEND.
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Wed, 09 Dec 2020 19:38:49 +0545

deepin-qt5dxcb-plugin (5.0.17-1~exp1) experimental; urgency=medium

  * New upstream release 5.0.17.
  * debian/control:
    + Bump Standards-Version to 4.5.0.
    + Bump debhelper-compat to v13.
    + Add Arun Kumar Pariyar to Uploaders.
    + Add libxcb-util0-dev to build dependency.
  * debian/patches:
    + Add patch for Qt 5.15.1 support.
    + Add patch for Qt 5.15.2 support. (Closes: #975730)
    + Add patch to disable wayland support.
    + Drop patch libqt5xcbqpa-dev-Add-support-for-Qt-5.12.5
      as its already patched by upstream.
  * debian/clean: Add wayland/ directory.
  * debian/copyright: Update license information.
  * debian/README.source: Update that wayland support is dropped.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Thu, 26 Nov 2020 01:32:50 +0545

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
  Yanhao Mo <yanhaocs@gmail.com>,
  Arun Kumar Pariyar <openarungeek@gmail.com>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libcairo2-dev,
  libdbus-1-dev,
- libdtkcore-dev (>= 2.0.5.2-2~),
+ libdtkcore-dev (>= 5.2~),
  libegl1-mesa-dev,
  libfontconfig1-dev,
  libfreetype6-dev,
@@ -40,8 +40,8 @@
  qtbase5-dev,
  qtbase5-private-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
-Homepage: https://github.com/linuxdeepin/qt5dxcb-plugin
+Standards-Version: 4.5.1
+Homepage: https://github.com/linuxdeepin/qt5platform-plugins
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-qt5dxcb-plugin.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-qt5dxcb-plugin

=== debian/rules ===
--- 
+++ 
@@ -10,18 +10,12 @@
 # see ENVIRONMENT in dpkg-buildflags(1)
 # package maintainers to append CFLAGS
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
-# package maintainers to append LDFLAGS
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 export QT_SELECT := 5
 
 
 %:
 	dh $@
-
-override_dh_auto_build:
-	cd platformplugin/libqt5xcbqpa-dev && cp -r 5.12.0 5.12.4
-	dh_auto_build
 
 # libQt5XcbQpa plugin is problematic
 #override_dh_shlibdeps:

## deepin-qt5dxcb-plugin 5.0.46+git20220314

=== debian/changelog ===
deepin-qt5dxcb-plugin (5.0.46+git20220314-1) unstable; urgency=medium

  * New upstream snapshot.
    + Fix compatibility with Qt 5.15.3. (Closes: #1007831)
  * debian/patches: Dropped.
  * debian/rules: Use configure flag to disable wayland instead.
  * debian/copyright: Fix copyright information.
  * debian/shlibs.local: Dropped, useless now.

 -- Boyuan Yang <byang@debian.org>  Thu, 17 Mar 2022 11:19:57 -0400

deepin-qt5dxcb-plugin (5.0.42-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 24 Jan 2022 13:21:04 -0500

deepin-qt5dxcb-plugin (5.0.40-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Nov 2021 00:09:06 -0500

deepin-qt5dxcb-plugin (5.0.40-1~exp1) experimental; urgency=medium

  * New upstream version 5.0.40.
  * debian/upstream/metadata: Minor fix.
  * debian/watch: Update.
  * debian/patches: Drop patch for qt 5.15.2.
  * debian/control: Bump Standards-Version to 4.6.0.

 -- Boyuan Yang <byang@debian.org>  Mon, 08 Nov 2021 23:59:49 -0500

deepin-qt5dxcb-plugin (5.0.21-1~exp1) experimental; urgency=medium

  [ Hu Feng ]
  * New upstream release 5.0.21.
  * debian/control:
    + Add Hu Feng to Upoladers.
    + Delete libdtkcore-dev in Build-Depends.

 -- Boyuan Yang <byang@debian.org>  Sat, 10 Apr 2021 23:17:38 -0400

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
  Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
  Arun Kumar Pariyar <openarungeek@gmail.com>,
+ Hu Feng <hufeng@uniontech.com>,
 Build-Depends:
  debhelper-compat (= 13),
  libcairo2-dev,
  libdbus-1-dev,
- libdtkcore-dev (>= 5.2~),
  libegl1-mesa-dev,
  libfontconfig1-dev,
  libfreetype6-dev,
@@ -40,7 +40,7 @@
  qtbase5-dev,
  qtbase5-private-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/linuxdeepin/qt5platform-plugins
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-qt5dxcb-plugin.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-qt5dxcb-plugin

## deepin-qt5dxcb-plugin 5.0.65

=== debian/changelog ===
deepin-qt5dxcb-plugin (5.0.65-1) unstable; urgency=medium

  * new upstream release. 

 -- Boyuan Yang <byang@debian.org>  Sun, 03 Jul 2022 14:38:29 -0400

deepin-qt5dxcb-plugin (5.0.63-1) unstable; urgency=medium

  * New upstream release.
    + Add compatibility with Qt 5.15.4.

 -- Boyuan Yang <byang@debian.org>  Wed, 25 May 2022 23:08:29 -0400

deepin-qt5dxcb-plugin (5.0.62-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Apr 2022 10:16:23 -0400

=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
  qtbase5-dev,
  qtbase5-private-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/linuxdeepin/qt5platform-plugins
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-qt5dxcb-plugin.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-qt5dxcb-plugin

=== debian/rules ===
--- 
+++ 
@@ -17,12 +17,13 @@
 %:
 	dh $@
 
+override_dh_auto_configure:
+	dh_auto_configure -- \
+	        CONFIG+=DISABLE_WAYLAND
+
 # libQt5XcbQpa plugin is problematic
-#override_dh_shlibdeps:
-#	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
+override_dh_shlibdeps:
+	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k CHANGELOG.md
-
-override_dh_missing:
-	dh_missing --fail-missing

## deepin-qt5dxcb-plugin 5.6.5

=== debian/changelog ===
deepin-qt5dxcb-plugin (5.6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 04 Dec 2024 08:11:09 -0500

deepin-qt5dxcb-plugin (5.0.71-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Wed, 04 Dec 2024 08:05:00 -0500

deepin-qt5dxcb-plugin (5.0.71-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 04 Dec 2022 13:12:13 -0500

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  libcairo2-dev,
  libdbus-1-dev,
  libegl1-mesa-dev,
- libfontconfig1-dev,
- libfreetype6-dev,
+ libfontconfig-dev,
+ libfreetype-dev,
  libglib2.0-dev,
  libmtdev-dev,
  libqt5opengl5-dev,
@@ -36,11 +36,11 @@
  libxi-dev,
  libxkbcommon-x11-dev,
  libxrender-dev,
- pkg-config,
+ pkgconf,
  qtbase5-dev,
  qtbase5-private-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/linuxdeepin/qt5platform-plugins
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-qt5dxcb-plugin.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-qt5dxcb-plugin

## deepin-qt5dxcb-plugin 5.7.9

=== debian/changelog ===
deepin-qt5dxcb-plugin (5.7.9-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 11 Feb 2025 15:40:51 -0500

deepin-qt5dxcb-plugin (5.7.9-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/control: Update build-dep packages.
  * debian/patches/0001-wayland-shell.cmake-Make-DWayland-find-optional.patch:
    Add patch to ensure kwayland5 is used instead of dwayland5.
  * debian/clean: Dropped, not needed.
  * debian/control: Add Breaks+Replaces+Provides relationship with
    deepin-provided package names.

 -- Boyuan Yang <byang@debian.org>  Tue, 11 Feb 2025 14:22:33 -0500

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,21 @@
  Hu Feng <hufeng@uniontech.com>,
 Build-Depends:
  debhelper-compat (= 13),
+ cmake,
+ extra-cmake-modules,
  libcairo2-dev,
  libdbus-1-dev,
+ libdtkcommon-dev (>= 5.7.9),
  libegl1-mesa-dev,
  libfontconfig-dev,
  libfreetype-dev,
  libglib2.0-dev,
+ libgmock-dev,
+ libgtest-dev,
+ libkf5wayland-dev,
  libmtdev-dev,
  libqt5opengl5-dev,
+ libqt5waylandclient5-dev,
  libqt5x11extras5-dev,
  libsm-dev,
  libudev-dev,
@@ -39,6 +46,7 @@
  pkgconf,
  qtbase5-dev,
  qtbase5-private-dev,
+ qtwayland5-private-dev,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://github.com/linuxdeepin/qt5platform-plugins
@@ -49,10 +57,16 @@
 Architecture: any
 Provides:
  libqt5dxcb-plugin,
-Conflicts:
+ dde-qt5xcb-plugin,
+ dde-qt5wayland-plugin,
+Breaks:
  libqt5dxcb-plugin,
-Breaks:
- dde-qt5integration (<< 0.2.8.1),
+ dde-qt5xcb-plugin,
+ dde-qt5wayland-plugin,
+Replaces:
+ libqt5dxcb-plugin,
+ dde-qt5xcb-plugin,
+ dde-qt5wayland-plugin,
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},

## deepin-qt5dxcb-plugin 5.7.11

=== debian/changelog ===
deepin-qt5dxcb-plugin (5.7.11-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Use linux-any for binary package architecture.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Mar 2025 13:59:22 -0500

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  extra-cmake-modules,
  libcairo2-dev,
  libdbus-1-dev,
- libdtkcommon-dev (>= 5.7.9),
+ libdtkcommon-dev (>= 5.7.11),
  libegl1-mesa-dev,
  libfontconfig-dev,
  libfreetype-dev,
@@ -48,13 +48,13 @@
  qtbase5-private-dev,
  qtwayland5-private-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/linuxdeepin/qt5platform-plugins
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-qt5dxcb-plugin.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-qt5dxcb-plugin
 
 Package: qt5dxcb-plugin
-Architecture: any
+Architecture: linux-any
 Provides:
  libqt5dxcb-plugin,
  dde-qt5xcb-plugin,

## deepin-qt5dxcb-plugin 5.7.12

=== debian/changelog ===
deepin-qt5dxcb-plugin (5.7.12-1build1) questing; urgency=medium

  * No-change rebuild against Qt 5.15.17.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 14 Jul 2025 14:25:26 +0300

deepin-qt5dxcb-plugin (5.7.12-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 16 Mar 2025 16:07:13 -0400

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  extra-cmake-modules,
  libcairo2-dev,
  libdbus-1-dev,
- libdtkcommon-dev (>= 5.7.11),
+ libdtkcommon-dev (>= 5.7.12),
  libegl1-mesa-dev,
  libfontconfig-dev,
  libfreetype-dev,

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # -*- makefile -*-
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -17,10 +16,6 @@
 %:
 	dh $@
 
-override_dh_auto_configure:
-	dh_auto_configure -- \
-	        CONFIG+=DISABLE_WAYLAND
-
 # libQt5XcbQpa plugin is problematic
 override_dh_shlibdeps:
 	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
